people = {}

function collision(npx,npy)
	return npx > 800-20 or npx < 1 or npy > 600-20 or npy < 1
end

function make_people(h,minx,maxx,miny,maxy)
	for i = 1,h do
		new = {
			px = math.random(minx,maxx),
			py = math.random(miny,maxy),
			sx = 10,
			sy = 10,
			direction = math.rad(math.random(1,360)),
			speed = math.random(1,4)
		}
		table.insert(people,new)
	end
end

function update_people()
	for i,p in pairs(people) do
		--find closest zombie
		mindistance = 100000
		for i,z in pairs(zombies) do
			distance = math.sqrt((p.px-z.px)^2+(p.py-z.py)^2)
			if distance < mindistance then
				mindistance = distance
				target = z
			end
		end
		--if none found : wander
		if target == nil then 
			p.direction = p.direction+math.rad(math.random(-1,1)*10)
			npx = p.px+math.cos(p.direction)*(p.speed/2)--walking
			npy = p.py+math.sin(p.direction)*(p.speed/2)
		else--OMG
			if mindistance <= 100 then --OTHER WAY!!!!
				p.direction = math.atan2(p.px-target.px,target.py-p.py)-math.pi/2
				npx = p.px+math.cos(p.direction)*p.speed--running
				npy = p.py+math.sin(p.direction)*p.speed
			else--JSUT RUN!!!
				p.direction = p.direction+math.rad(math.random(-1,1)*10)
				npx = p.px+math.cos(p.direction)*p.speed--running
				npy = p.py+math.sin(p.direction)*p.speed
			end
		end


		if collision(npx,npy) then
			if npx > 800-20 then npx = 800-20
			elseif npx < 1 then npx = 1
			elseif npy > 600-20 then npy = 600-20
			elseif npy < 1 then npy = 1
			end
		end
		
		p.px = npx
		p.py = npy
	end
end
			
	