zombies = {}

function collision(npx,npy)
	return npx > 800-20 or npx < 1 or npy > 600-20 or npy < 1
end

function make_zombies(h,minx,maxx,miny,maxy)
	for i = 1,h do
		new = {
			px = math.random(minx,maxx),
			py = math.random(miny,maxy),
			sx = 10,
			sy = 10,
			direction = math.rad(math.random(1,360)),
			speed = math.random(1,3)
		}
		table.insert(zombies,new)
	end
end

function update_zombies()
	for i,z in pairs(zombies) do
	
		--find closest guy
		mindistance = 100000
		target = nil
		TN = 0
		for i,p in pairs(people) do
			distance = math.sqrt((z.px-p.px)^2+(z.py-p.py)^2)
			if distance < mindistance then
				mindistance = distance
				target = p
				TN = i
			end
		end
		--if none found : wander
		if target == nil then 
			z.direction = z.direction+math.rad(math.random(-1,1)*10)
			npx = z.px+math.cos(z.direction)*(z.speed/2)--walking
			npy = z.py+math.sin(z.direction)*(z.speed/2)
		else--found one? walk towards it
			z.direction = math.atan2(z.px-target.px,target.py-z.py)+math.pi/2
			npx = z.px+math.cos(z.direction)*z.speed--running
			npy = z.py+math.sin(z.direction)*z.speed
		end
		
		if collision(npx,npy) then 
			if npx > 800-20 then npx = 800-20
			elseif npx < 1 then npx = 1
			elseif npy > 600-20 then npy = 600-20
			elseif npy < 1 then npy = 1
			end
		end
		
		z.px = npx
		z.py = npy
		
		if mindistance < 5 then--I got him :D NOW BRAIINNZZZ
			table.remove(people,TN)
		end
		
	end
end
			